html, body {
  height: 100%;
  margin: 0;
  font-family: 'Oxygen', sans-serif;
} 
.pagehead {
    font-weight: bold;
    font-size: 1.4em;
    text-align: left;
    margin: 10px 0;
}
.invalid {
    color: red;
    padding: 10px;
    background-color: #f0f680;
    font-weight: bold;
}
.layout {
    width: 100%;
    max-width: 100%; 
}
.top {
    height: 40px;
    background-color: #00244b;
    display: flex;
    align-items: center;
}
.logo {
    text-align: center;
    padding: 10px 20px;
}
.logo img {
    max-width: 100%;   
}
.nav {
    display: none;
    margin: 20px;
}
.mobileopen {
    display: block;
}
.nav a {
    display: block;
    color: #002550;
    text-decoration: none;
    padding: 10px;
    border-radius: 5px;
    margin: 10px;
}
.nav .active {
    color: white;
    background-color: #002550;
}
.login {
    border: 1px solid #dddddd;
    border-radius: 3px;
}
.login .head {
    background-color: #f7f7f7;
    padding: 15px;
}
.login .main {
    padding: 15px;    
}
.login input {
    display: block;
    border-radius: 3px;
    border: 1px solid #dddddd;
    padding: 10px;
    font-size: 1.0em;
    margin: 10px;
    box-shadow: 0;
    width: 95%;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;        
}
.login .foot {
    background-color: #f7f7f7;  
    padding: 5px;    
}
.login .main button {
    display: block;
    border-radius: 3px;
    border: 0;
    color: white;
    background-color: #17a2b8;
    padding: 10px;
    font-size: 1.0em;
    margin: 5px;
    width: 95%;
    transition: background-color 0.3s ease;
}
.login .main button:hover {
    background-color: #138496;
}

.login .main .submenu {
    margin-left: 20px;
    font-size: 0.9em;
}

    #menu_toggle {
        margin-left: 10px;
    }
    #menu_toggle a {
        color: white;
        font-size: 22px;
        border: 1px white solid;
        border-radius: 3px;
        padding: 2px 8px;
        background-color: black;
    }
    #menu_toggle a:hover {
        background-color: #333333;
    }
    
.content {
    margin: 20px;
}

.btn {
    border-radius: 3px;
    border: 0;
    color: white;
    background-color: #17a2b8;
    padding: 10px;
    font-size: 1.0em;
    margin: 5px;
    transition: background-color 0.3s ease;
}
.btn:hover {
    background-color: #138496;
}

.btn-blue {
    background-color: #007bff;
    color: white;
}

.btn-gray {
    background-color: gray;
    color: white;
}

.btn-red {
    background-color: #dc3545;
    color: white;
}

.btn-yellow {
    background-color: yellow;
    color: black;
    font-weight: bold;
}

.btn-green {
    background-color: #218838;
    color: white;
}

.card {
    margin-top: 20px;
    border: 1px solid #dddddd;
    border-radius: 5px;
}
.card-header:first-child {
    border-radius: 5px 5px 0 0;
}
.card-header {
    background-color: #00244b;
    color: white;
    padding: 15px; 
    text-align: center;
}
.card-body ul {
    padding-left: 25px;
}
.card-body li {
    margin-top: 7px;
    margin-bottom: 7px;
}
.card-body a {
    text-decoration: none;
}

@media (min-width: 560px) {
    #menu_toggle {
        display: none;
    }
    .desktop {
        display: block;
    }
    
    .nav {
        min-width: 210px;
    }

    .layout {
        display: grid;        
        grid-template-columns: 1fr 3fr;
        grid-template-areas:
        'top top'
        'logo logo'
        'nav content'
        'footer footer';        
    } 

    .top {
        grid-area: top;
    }
    .logo {
        grid-area: logo;
    }
    .nav {
        grid-area: nav;
    }
    .content {
        grid-area: content;
    }
    .footer {
        grid-area: footer;
    }
    
    .cols {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
        gap: 20px;
    }

    
} /* end of desktop media query */